#ifndef GetDefaultComParameterValue_H
#define GetDefaultComParameterValue_H

#include <Command.h>

#include "ComChannel.h"
namespace ProtoGenWrapper
{
	class GetDefaultComParameterValue : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		GetDefaultComParameterValue(const ComChannel* comChannel, const std::string& comparametername, const int32 dataType);
		GetDefaultComParameterValue(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(ComChannel*& comChannel, std::string& comparametername, int32& dataType);

		static int GetCommandType();
	};
}
#endif // GetDefaultComParameterValue_H
